
import pylab
from pyclaw.plotters.data import ClawPlotData

outdir1 = '_output_2levels'
outdir2 = '_output_3levels'
gaugenos = [32412]

plotdata = ClawPlotData()
    
pylab.figure(301,figsize=(10,5))
pylab.clf()

plotdata.outdir = outdir1
for gaugeno in gaugenos:
    gs = plotdata.getgauge(gaugeno)
    pylab.plot(gs.t, gs.q[:,3], 'b',linewidth=2)


plotdata.outdir = outdir2
for gaugeno in gaugenos:
    gs = plotdata.getgauge(gaugeno)
    pylab.plot(gs.t, gs.q[:,3], 'r--',linewidth=3)

n = pylab.floor(gs.t.max()/3600.) + 2
pylab.xticks([3600*i for i in range(n)], [str(i) for i in range(n)],fontsize=15)
d = pylab.loadtxt('32412_dart.txt')
pylab.plot(d[:,0],d[:,1],'k-')
pylab.legend(['2 levels','3 levels','DART'])

pylab.xlim([9000,28800])
pylab.ylim([-0.2,0.3])
pylab.yticks(fontsize=15)
pylab.xlabel("Hours after earthquake",fontsize=15)
pylab.ylabel("Meters",fontsize=15)
pylab.title("Surface elevation at DART 32412",fontsize=15)

pylab.savefig('dart_gauges.eps')
pylab.savefig('dart_gauges.png')
pylab.savefig('dart_gauges.pdf')

print "Created plots dart_gauges"

