
import os
from pyclaw.plotters.plotclaw import plotclaw
from pyclaw.plotters.data import ClawPlotData
from setplot_transect import setplot

# Use tex fonts for better resolution for published version

import matplotlib
matplotlib.rc('text', usetex=True)

from pylab import figure,clf,fill_between,ones,axes,ylim,pi,cos,plot,text, \
     xlim,ylim,xticks,yticks,xlabel,ylabel,title,floor,savefig

Rearth = 6359.8315259521378
plotdata = ClawPlotData()
plotdata.outdir = os.path.abspath("_output_2levels")
plotdata = setplot(plotdata)

ylat = -25.
frameno = 6


if 1:
    frame = plotdata.plotframe(frameno)
    figure(0)
    plot([-100,-70],[ylat,ylat],'k',linewidth=2)
    text(-100,ylat+1,'Transect')
    savefig('transect-ocean.eps')
    savefig('transect-ocean.pdf')
    print "Created transect-ocean.*"

frame = plotdata.getframe(frameno)
grid1 = frame.grids[-1]

x = grid1.x.center
y = grid1.y.center
h = grid1.q[:,:,0]
eta = grid1.q[:,:,3]

figure(99,figsize=[12,8])
#figure(99)
clf()
axes([.1,.1,.8,.5])

#j = 80
#j = 110
#j = 130

ylower = y[0]
dy = y[1]-y[0]
j = floor((ylat - ylower)/dy)
if (j<0) or (j>len(y)):
    print "*** Latitude %s not found on this grid" % ylat
    raise
print "Latitude = ",y[j]
#fill_between(x, -6000.*ones(x.shape), eta[:,j]-h[:,j], color=[0.,1.,0.5])
fill_between(x, eta[:,j]-h[:,j], eta[:,j], color=[0.,0.6,0.9], edgecolor='k')

degrees_per_km = 360. / (2.*pi*Rearth*cos(y[j]*pi/180.))
x1 = -92.
x2 = x1 + 500.*degrees_per_km
plot([x1, x2], [1000.,1000.], 'k', linewidth=3)
text(0.75*x1 + 0.25*x2, 1200, '500 km', fontsize=15)

#ylim([-6000, 2000.])
ylim([-6500, 2500.])
yticks(range(-6000,4000,2000), fontsize=15)
#xlim([-97, -67])
xlim([-100, -70])
xticks(fontsize=15)
ylabel("Metres depth",fontsize=15)
xlabel("Degrees longitude",fontsize=15)

#-------------------------

axes([.1,.7,.8,.2])
fill_between(x, eta[:,j]-h[:,j], eta[:,j], color=[0.,0.6,0.9], edgecolor='k')
ylim([-.3, .4])
yticks([-0.2,0.,0.2], fontsize=15)
#xlim([-97, -67])
xlim([-100, -70])
xticks(fontsize=15)
ylabel("Metres",fontsize=15)
#xlabel("degrees longitude",fontsize=15)
title("Surface elevation",fontsize=20)

savefig('transect-z.png')
savefig('transect-z.eps')
print "Created transect-z.*"
