
import pylab
from pyclaw.plotters.data import ClawPlotData
from pyclaw.data import Data

#probdata = Data('setprob.data')
#A0 = probdata.A0

for A0 in [0.005, 0.5, 150]:
    ymax = 30*A0/150  # for axes limits

    outdir1 = "_output_260_A%s" % A0
    outdir2 = "_output_220_A%s" % A0
    gaugenos = [1,2]

    plotdata = ClawPlotData()
        
    pylab.figure(301)
    pylab.clf()

    plotdata.outdir = outdir1
    for gaugeno in gaugenos:
        gs = plotdata.getgauge(gaugeno)
        pylab.plot(gs.t, gs.q[:,3], 'b',linewidth=2)


    plotdata.outdir = outdir2
    for gaugeno in gaugenos:
        gs = plotdata.getgauge(gaugeno)
        pylab.plot(gs.t, gs.q[:,3], 'r--',linewidth=2)


    pylab.xlim([7500,14000])
    pylab.ylim([-ymax, ymax])
    pylab.xticks(fontsize=15)
    pylab.yticks(fontsize=15)

    yg1 = -6*A0/150.
    yg1a = yg1 -7*A0/150.
    yg2 = 10*A0/150.
    yg2a = yg2 + 5*A0/150.
    pylab.annotate('Gauge 1',[8900,yg1],[8500,yg1a],\
          arrowprops={'width':1,'color':'k','frac':.2,'shrink':0.1},fontsize=15)
    pylab.annotate('Gauge 2',[9600,yg2],[10000,yg2a],\
          arrowprops={'width':1,'color':'k','frac':.2,'shrink':0.1},fontsize=15)
    pylab.title("Initial amplitude $A_0=%4.3f$" % A0, fontsize=20)

    pylab.savefig('gauges1-2_A%s.eps' % A0)
    pylab.savefig('gauges1-2_A%s.png' % A0)


    #===============================

    gaugenos = [3,4]
    pylab.figure(302)
    pylab.clf()

    plotdata.outdir = outdir1
    for gaugeno in gaugenos:
        gs = plotdata.getgauge(gaugeno)
        pylab.plot(gs.t, gs.q[:,3], 'b',linewidth=2)


    plotdata.outdir = outdir2
    for gaugeno in gaugenos:
        gs = plotdata.getgauge(gaugeno)
        pylab.plot(gs.t, gs.q[:,3], 'r--',linewidth=2)

    pylab.xlim([7500,14000])
    pylab.ylim([-ymax, ymax])
    pylab.xticks(fontsize=15)
    pylab.yticks(fontsize=15)

    yg3 = -9*A0/150.
    yg3a = yg3 - 6.*A0/150.
    yg4 = 8*A0/150.
    yg4a = yg4 + 6.*A0/150.
    pylab.annotate('Gauge 3',[11000,yg3],[9400,yg3a],\
          arrowprops={'width':1,'color':'k','frac':.2,'shrink':0.1},fontsize=15)
    pylab.annotate('Gauge 4',[11600,yg4],[11000,yg4a],\
          arrowprops={'width':1,'color':'k','frac':.2,'shrink':0.1},fontsize=15)
    pylab.title("Initial amplitude $A_0=%4.3f$" % A0, fontsize=20)

    pylab.savefig('gauges3-4_A%s.eps' % A0)
    pylab.savefig('gauges3-4_A%s.png' % A0)

print "Created gauge comparison plots"
