
import pylab
from pyclaw.plotters.data import ClawPlotData

outdir1 = '_output_220_gauss5_hires'
outdir2 = '_output_220_gauss5'
gaugenos = [1,2]

plotdata = ClawPlotData()
    
pylab.figure(301)
pylab.clf()

plotdata.outdir = outdir1
for gaugeno in gaugenos:
    gs = plotdata.getgauge(gaugeno)
    thours = gs.t / 3600.
    pylab.plot(thours, gs.q[:,3], 'b',linewidth=2)


plotdata.outdir = outdir2
for gaugeno in gaugenos:
    gs = plotdata.getgauge(gaugeno)
    thours = gs.t / 3600.
    pylab.plot(thours, gs.q[:,3], 'r--',linewidth=2)

pylab.xlim([2,4])
pylab.ylim([-1,1])
pylab.xticks(fontsize=15)
pylab.yticks(fontsize=15)
pylab.xlabel("Hours",fontsize=15)
pylab.ylabel("Meters",fontsize=15)

pylab.annotate('Gauge 1',[8900,-6],[8500,-10],arrowprops={'width':1,'color':'k'})
pylab.annotate('Gauge 2',[9600,5.5] ,[10000,6.1],arrowprops={'width':1,'color':'k'})

#pylab.savefig('gauges1-2.tif')
pylab.savefig('gauges1-2_gauss5_res.eps')
pylab.savefig('gauges1-2_gauss5_res.png')

print "Created gauges1.2_gauss5_res.png"

#===============================

gaugenos = [3,4]
pylab.figure(302)
pylab.clf()

plotdata.outdir = outdir1
for gaugeno in gaugenos:
    gs = plotdata.getgauge(gaugeno)
    thours = gs.t / 3600.
    pylab.plot(thours, gs.q[:,3], 'b',linewidth=2)


plotdata.outdir = outdir2
for gaugeno in gaugenos:
    gs = plotdata.getgauge(gaugeno)
    thours = gs.t / 3600.
    pylab.plot(thours, gs.q[:,3], 'r--',linewidth=2)

pylab.xlim([2,4])
pylab.ylim([-1,1])
pylab.xticks(fontsize=15)
pylab.yticks(fontsize=15)
pylab.xlabel("Hours",fontsize=15)
pylab.ylabel("Meters",fontsize=15)

pylab.annotate('Gauge 3',[12700,5.0],[13000,6.1],arrowprops={'width':1,'color':'k'})
pylab.annotate('Gauge 4',[11300,4.0] ,[11000,6.0],arrowprops={'width':1,'color':'k'})

#pylab.savefig('gauges3-4.tif')
pylab.savefig('gauges3-4_gauss5_res.png')
pylab.savefig('gauges3-4_gauss5_res.eps')

print "Created gauges3-4_gauss5_res.png"
