"""
Make figures for the paper.

First execute run_tests.py to create 6 output directories.
"""

from pyclaw.plotters.data import ClawPlotData
from pyclaw.plotters.frametools import plotframe


from pylab import *
import os,sys,glob


figdir = 'figures'
if os.path.isfile(figdir):
    print "*** Error figure directory exists as a file: ",figdir
    raise

if not os.path.isdir(figdir):
    os.system('mkdir %s' % figdir)

def savefigs(fname):
    fname1 = fname + '.png'
    savefig(os.path.join(figdir,fname1))
    fname2 = fname + '.eps'
    savefig(os.path.join(figdir,fname2))



print "Making figures"

plotdata = ClawPlotData()

import setplot_220_A150
plotdata = setplot_220_A150.setplot(plotdata)
plotdata.outdir = "_output_220_A150"
plotframe(5, plotdata)
figure(7)
savefigs('theta220_contours')

import setplot_260_A150
plotdata = setplot_260_A150.setplot(plotdata)
plotdata.outdir = "_output_260_A150"
plotframe(5, plotdata)
figure(7)
savefigs('theta260_contours')


execfile("compare_gauges.py")
os.system("mv gauges1-2.* %s" % figdir)
os.system("mv gauges3-4.* %s" % figdir)


execfile("plot_ocean.py")
print "mv ocean.png %s" % figdir
os.system("mv ocean.png %s" % figdir)
os.system("mv ocean.eps %s" % figdir)

execfile("plot_xsec.py")
os.system("mv topo*.png %s" % figdir)
os.system("mv topo*.eps %s" % figdir)

print "Created ocean and cross section plots in directory ",figdir


