"""
Create dtopo files needed for these examples:
    subfaults.tt1                     create using Okada model and subfaults.txt

"""

from pyclaw.geotools import topotools
import os,sys


def makedtopo():
    """
    Create dtopo data file for deformation of sea floor due to earthquake.
    Uses the Okada model with fault parameters and mesh specified in the
    .cfg file.
    """
    from pyclaw.geotools import okada
    dtopo_fname = 'subfaults.tt1'
    if os.path.exists(dtopo_fname):
        print "*** Not regenerating dtopo file (already exists): %s" % dtopo_fname
    else:
        print "Using Okada model to create %s " % dtopo_fname
        import subfaults
        subfaults.make_dz_chile()


if __name__=='__main__':
    makedtopo()
