"""
Retreive topo files needed for Honshu simulations.

"""

import os,sys

try:
    from pyclaw.geotools import topotools
except:
    print "*** Cannot find geotools module, make sure your PYTHONPATH"
    print "*** includes $CLAW/python directory."
    sys.exit()


# Set environment variable CLAW_TOPO_DOWNLOAD=True to avoid prompts
# before downloading.
force = os.environ.get('CLAW_TOPO_DOWNLOAD', False)
force = (force in [True,'True'])


remote_directory = 'http://kingkong.amath.washington.edu/topo/an11topo'

topo_fname = 'etopo10min120W60W60S0S.asc'
topotools.get_topo(topo_fname, remote_directory, force)

topo_fname = 'etopo4min260W60W65S65N.tt3'
topotools.get_topo(topo_fname, remote_directory, force)

topo_fname = 'etopo1min160W150W18N22N.asc3'
topotools.get_topo(topo_fname, remote_directory, force)

topo_fname = 'hilo_3s.asc'
topotools.get_topo(topo_fname, remote_directory, force)

topo_fname = 'hilo_city_1_3s.asc'
topotools.get_topo(topo_fname, remote_directory, force)

topo_fname = 'lima-8490.asc'
topotools.get_topo(topo_fname, remote_directory, force)

